library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.numeric_std.ALL;

entity sistemPS is
 port (
   clk : in std_logic;
	
	addr  : out   std_logic_vector (1 downto 0);
	data  : inout std_logic_vector (7 downto 0);
	clkout : out std_logic; -- signali razsiritvene plosce
	
   psdata, psclk: in std_logic;
   pwm : out std_logic;
   led : out std_logic_vector(7 downto 0)
 );
end sistemPS;


architecture Behavioral of sistemPS is 
 signal psd: std_logic_vector(3 downto 0);
 signal pwmout: std_logic;
 
 component ps2vmes is
 port(
   clk : in std_logic;
   psdata : in std_logic;
   psclk : in std_logic;
   data : out std_logic_vector(3 downto 0)
 );
 end component; 
 
begin

 addr <= "11";
 clkout <= clk;
 data <= (5=>pwmout, others=>'Z');
 
 u0: ps2vmes port map ( 
   clk => clk,
   psdata => psdata,
	psclk => psclk,
	data => psd
 );
 
 led <= "1000" & psd;
 
 U1: entity work.ddspulz port map (clk=>clk, n=>unsigned(psd(3 downto 0)), pwm=>pwmout);

 pwm <= pwmout;
 
end Behavioral;